function [fs,srs,datL,o1,o2,isec,ia,ib,ed,bw,ofs,ofa]=DPP
%DPP processing parameters, 27/08/2016
fs=1e6;   % sampling frequency
srs=1e6;  % statistics resolution

datL=6;                          % length of data chunk
o1=.2*fs;                        % number of samples overlap between each data chunk
o2=.1*fs;                        % number of samples overlap for simulating transmissions
% NOTE: these 2 values must be larger than the symbol period of the
% transmissions analysed. In addition, o2 has to be an even integer
% multiple of symbol periods for the transmissions.

isec=datL+2*o1/fs;               % length of data chunk plus overlap
ia=o1+1; ib=ia-1+datL*fs;        % index of overlap

bwp=pi/1800; eLH=[-pi pi];                                            % histogram parameters for phase in rad
bwa=5e-6; eLHA=[200e-6 20e-3];                                        % histogram parameters for amplitude in V/m
nBins=(eLH(2)-eLH(1))/bwp; ep=linspace(eLH(1),eLH(2),nBins+1);        % phase deviation histogram parameters
nBinsA=(eLHA(2)-eLHA(1))/bwa; ea=linspace(eLHA(1),eLHA(2),nBinsA+1);  % amplitude histogram parameters
ed=[{ea(:)},{ep(:)}]; bw=[bwa,bwp];                                   %

ofs=datL*fs*.1;                   % number of samples threshold for determining whether transmission is off (this is quite aggressive)
ofa=eLHA(1)*3;                    % amplitude threshold for determining whether transmission is not transmitting