function [fCut,fc,sbL,psfb,nt]=DTX(stN)
%DTX transmission parameters, 27/08/2016
% half filter bandwidth
% carrier frequency
% pulse filter bandwidth
% symbol length
% number of samples to discard around transition in samples
switch stN                                                                 % select GMSK transmission
    case 'DHO', fCut=1.5e2; fc=23400.00006173; sbL=5e-3; psfb=120; nt=8e3;
    case 'FTA', fCut=1.5e2; fc=20900; sbL=5e-3; psfb=120; nt=8e3;
    case 'GBZ', fCut=1.5e2; fc=19580; sbL=5e-3; psfb=120; nt=8e3;
    case 'GQD', fCut=1e2; fc=22100; sbL=1e-2; psfb=240; nt=8e3;
    otherwise, disp('invalid stN'); fCut=NaN; fc=NaN; psfb=NaN; sbL=NaN; nt=NaN;
end
