function [yM,a,p,bH,bL,cte,te,bte,pos,qq]=...
    fGMd(f,Y,Yt,stN,te,bte,pos,pq,tS,srs)
%fGMd GMSK transmission disturbance per sample
yM=NaN; a=NaN; p=NaN; bH=NaN; bL=NaN; cte=NaN; qq=pq;
[fs,~,datL,o1,o2,~,ia,ib,~,~,ofs,ofa]=DPP; ll=datL*fs;  % processing parameters
[fb,fc,sbL,pfb,nt]=DTX(stN);                         % specify transmission and define transmission parameters
[yb]=ftcbTX(f,Y,fb,fc,fs,ia-o2,ib+o2,tS+(o1-o2)/fs); % get complex baseband transmission; length datL*fs+o2*2

if sum(abs(yb(o2+1:o2+ll))<ofa)<ofs          % if transmitter is transmitting, calculate disturbance
    
    if isnan(te), te=frte(yb,sbL*fs); end;       % get rough delay estimate
    [yM,afM,sym]=fGMS(yb,sbL*fs,te,fs,pfb);      % simulate transmission from complex time series of received transmission
    [qd,qq]=fqa(sym,o2/sbL/fs,pq); yM=yM*qd;     % align modulation to continue from previous chunks
    
    isa=o2/2+1; isb=isa-1+ll+o2;          % define indices (datL*fs+o2*2 -> datL*fs+o2);
    yb1=yb(isa:isb); yM1=yM(isa:isb);     % truncate ->datL*fs+o2; leave yb and yM always as length datL*fs+o2*2
    
    if isnan(pos), pos=fpo(yb1,yM1); end; % if phase offset is not defined, find phase offset
    yb=yb.*exp(-1j*pos); yb1=yb(isa:isb); % offset phase
    
    if mean(abs(angle(yb1.*conj(yM1))))>(3*pi/4), yM=-yM; end; % check and correct pi phase offsets (demodulation quirk)
    % crude method that assumes the phase is near zero
    % potential bug in situations when the phase is around (+/-)3pi/4 or (+-)pi/4
    
    yb1=reshape(yb(o2+1:o2+ll),srs,[]);  % truncate ->datL*fs and reshape
    yM1=reshape(yM(o2+1:o2+ll),srs,[]);  %
    [~,cte,~]=fcte(yb1,yM1,sbL*fs/2);    % get correlation delay estimate
    
    if ~bte                                    % if not done before, adjust to correlation delay
        mos=round(mean(cte)); te=te+mos;         % find mean of correlation delay and adjust delay estimate
        cte=cte-mos; bte=true;                   % delay estimate after adjustment and set flag to true
        yM1=yM(isa-mos:isb-mos);                 % adjust simulated transmission; length datL*fs+o2
        afM=afM(o2+1-mos:o2+ll-mos);             % adjust apparent frequency; truncate ->datL*fs
    else yM1=yM(isa:isb); afM=afM(o2+1:o2+ll); % if no adjustment; truncate simulated transmission ->datL*fs+o2 and apparent frequency ->datL*fs
    end                                        %
    
    [yM1]=fFTc(f,fft(yM1,length(f)),(fs-fb),fb,isa,isb-o2);     % filter and truncate ->datL*fs
    [yb1]=ftcbTX(f,Yt,fb,fc,fs,isa,isb-o2,tS+o1/fs);     % filter and truncate ->datL*fs
    yb1=reshape(yb1,srs,[]); yM1=reshape(yM1,srs,[]);    % reshape into column vectors with length srs
    a=abs(yb1); p=angle((yb1.*exp(-1j*pos)).*conj(yM1)); % received amplitude envelope (V/m) and phase disturbance (rad) with sferic and transition samples
    
    [bH,bL,~]=fGMf(reshape(afM,srs,[]),nt);              % split data & identify transition samples
end
end

function [qd,q]=fqa(sym,so,pq)
%fqa adjust MSK phase so each symbol is in the correct quadrant
% set pq (previous quadrant) to NaN if 1st chunk
if isnan(pq), q=sum(sym(1:end-so+1)); qd=1;  % check if 1st chunk, compute quadrant at end of chunk
else                                         % otherwise
    qd=exp(1j*(pq-sum(sym(1:so)))*pi/2);     % find the difference in quadrant between the previous and current chunk
    q=pq+sum(sym(1+so:end-so+1));            % find the quadrant at the end of current chunk
end
end