function [bS]=fSs(sf,nS,th,ir)
%fSs find sferic samples
bS=false(length(sf),1);                        % reset logic vector with sferic samples
sf=abs(sf); sf(ir)=th+1;                       % take only amplitude and set missing values above threshold
iS=find(sf>th);                                % index of sferic samples with amplitude > some defined threshold
% figure(1); plot(sf); grid on; 
if ~isempty(iS)
    bStart=[2;diff(iS)]>1;                % find the start of each sferic (the index at the start is marked as true)
    bEnd=[bStart(2:end);true];              % also mark the end of each sferic
    % SSingle=S&[S(2:end);true];       % mark single sample sferics!
    iStart=iS(bStart);                       % take only the index of the starts and ends
    iEnd=iS(bEnd);
    
    for ij=1:sum(bStart)                          % loop through each sferic start, end index pair
        i1=iStart(ij)-(nS/2); i2=iEnd(ij)+(nS/2);      % adjust to include the samples before and after to account for filter response
        if i1<1, i1=1; end;                        % make sure index is within bounds
        if i2>length(bS), i2=length(bS); end;      %
        bS(i1:i2)=true;                            % set samples to throwaway to 'true'
    end
end


% figure(1); hold on; plot(bS); hold off;
% for ij=1:2:length(iS)                          % loop through each sferic start, end index pair
    % i1=iS(ij)-(nS/2); i2=iS(ij+1)+(nS/2);      % adjust to include the samples before and after to account for filter response
    % if i1<1, i1=1; end;                        % make sure index is within bounds
    % if i2>length(bS), i2=length(bS); end;      %
    % bS(i1:i2)=true;                            % set samples to throwaway to 'true'
% end
% pause();