function [cc,los,lgsV]=fcte(yb,yM,maxlag)
%fcte get correlation delay estimate
% [srs,~,~,~]=DPP;
% yMr=reshape(yM,srs,[]); ybr=reshape(yb,srs,[]);      % split data into chunks of srs samples

n=max([size(yb,1) size(yM,1)]); mf=2^nextpow2(n-1);                       % processing parameters
lgsV=linspace(-maxlag,maxlag,2*maxlag+1);                                   % delay vector
yb(isnan(yb))=0;                                                          % in case there are NaNs, make them zero

Yb=fft(yb,mf); YM=fft(yM,mf);                                             % frequency domain
Yba=fft(abs(yb),mf); YMa=fft(abs(yM),mf);                                 % frequency domain (envelopes)

xc=ifft(Yb.*conj(YM));                                                      % cross correlation
xca=ifft(Yba.*conj(YMa));                                                   % cross correlation (envelopes)

xc=xc./xca; xc=[xc(end-maxlag+1:end,:);xc(1:maxlag+1,:)];                   % normalise and shift negative lags before positive
[cc,im]=max(abs(xc),[],1); los=lgsV(im);                                    % get coherence value and best fit delay
end