function [bA]=fdOO(a,nS,ofa)
%fdOO demodulate On Off modulated transmissions
% inputs:
% a   - transmission amplitude envelope
% nS  - number of samples to ignore before and after 'off' samples (these are marked as 'off')
% ofa - amplitude threshold to determine 'on' or 'off'
bA=false(length(a),1);   % initialise logic vector of off samples
a=a(:); iO=find(a<ofa);  % find linear index of off samples

if ~isempty(iO)    % make sure there are off samples to find
    SO=[2;diff(iO)]>1; EO=[SO(2:end);true]; % mark the start of each block of off samples
	iStart=iO(SO); iEnd=iO(EO);             % get the start and end indices
end

for ij=1:length(iStart)                     % loop through each start, end index pair
    i1=iStart(ij)-(nS/2); i2=iEnd(ij)+(nS/2);   % adjust to include the samples before and after to account for filter response
    if i1<1, i1=1; end;                           % make sure index is within bounds
    if i2>length(bA), i2=length(bA); end;         %
    bA(i1:i2)=true;                               % set samples to throwaway to 'true'
end