function [ilag]=frte_v0(yc,sps)
%frte rough delay estimate
% Outputs: estimated index of sample (from beginning) when symbol transitions
% Inputs:
%   yc - received complex analytic baseband transmission signal
%   sps - samples per symbol
ry=real(yc); iy=imag(yc); gry=gradient(ry); giy=gradient(iy);
dp=((ry.*giy-iy.*gry)./(ry.^2+iy.^2));                              % find apparent frequency
d=reshape(abs(dp),sps,length(dp)/sps); [~,ilag]=min(median(d,2));   % bit transition sample estimation
% chops the data apparent frequency into blocks of symbol length 
% disregarding the transition point
% then take average of sample X apparent frequency from each block
% lowest average apparent frequency will be the transition point