function [yb]=ftcbTX(f,Y,fb,fc,fs,ia,ib,sT)
%ftcbTX truncated complex baseband transmission from frequency components
% inputs
%   f,Y   - frequency and complex values
%   fb,fc - half bandwidth and centre frequency of transmission
%   ia,ib - start and end sample index for truncating
%   sT - start time in seconds
% output, yb, the truncated complex baseband transmission
f1=fc-fb; f2=fc+fb;
[yf]=fFTc(f,Y,f1,f2,ia,ib);                                      % filter and truncate
% rt=linspace(0,isec,isec*fs+1)+sT; rt=rt(ia:ib)';      % define time vector (for rotating phasor)
rt=(linspace(0,length(yf)-1,length(yf))/fs+sT).';      % define time vector (for rotating phasor)
yb=yf.*exp(-1j*2*pi*fc*rt);                                % make baseband
end